Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.text
Enum OdfSequenceReferenceFormatType

    java.lang.Object
      java.lang.Enum<OdfSequenceReferenceFormatType>
          org.odftoolkit.odfdom.dom.type.text.OdfSequenceReferenceFormatType

All Implemented Interfaces:
  Serializable, Comparable<OdfSequenceReferenceFormatType>

    public enum OdfSequenceReferenceFormatType

extends Enum<OdfSequenceReferenceFormatType>

DOM implementation of OpenDocument attribute text:reference-format.

Enum Constant Summary
`CAPTION`
`CATEGORY_AND_VALUE`
`CHAPTER`
`DIRECTION`
`PAGE`
`TEXT`
`VALUE`

Method Summary
`static OdfSequenceReferenceFormatType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSequenceReferenceFormatType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSequenceReferenceFormatType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSequenceReferenceFormatType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CAPTION

    public static final OdfSequenceReferenceFormatType CAPTION

### VALUE

    public static final OdfSequenceReferenceFormatType VALUE

### DIRECTION

    public static final OdfSequenceReferenceFormatType DIRECTION

### PAGE

    public static final OdfSequenceReferenceFormatType PAGE

### CATEGORY_AND_VALUE

    public static final OdfSequenceReferenceFormatType CATEGORY_AND_VALUE

### TEXT

    public static final OdfSequenceReferenceFormatType TEXT

### CHAPTER

    public static final OdfSequenceReferenceFormatType CHAPTER

Method Detail

### values

    public static OdfSequenceReferenceFormatType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSequenceReferenceFormatType c : OdfSequenceReferenceFormatType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSequenceReferenceFormatType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSequenceReferenceFormatType>`
  Returns:
    return the name of OdfSequenceReferenceFormatType

### toString

    public static String toString(OdfSequenceReferenceFormatType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSequenceReferenceFormatType, see text:reference-format
  Returns:
    return the name of OdfSequenceReferenceFormatType

### enumValueOf

    public static OdfSequenceReferenceFormatType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSequenceReferenceFormatType
  Returns:
    return the constant of OdfSequenceReferenceFormatType, see text:reference-format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.